Subject: [netatalk-admins] Re: make install problem on solaris 2.5.1 (update)

From: jesse reynolds <[email-masked]>
Date: Thu, 24 Sep 1998 00:04:27 +1030

I have an update. I tried the 1.4 beta with it's different instruction of
typing "make" rather than "make install" and instead got the following
error (though it seemed to take longer, like it had gotten further this
time):

beetroot:/opt/netatalk/netatalk-1.4b2> make
Making all for solaris...
gcc -D_KERNEL -mno-app-regs -munaligned-doubles -fpcc-struct-return
-D__svr4__ -DSOLARIS -O -I../../include -I../netatalk  -c  aarp.c
cc1: Invalid option `no-app-regs'
*** Error code 1
make: Fatal error: Command failed for target `aarp.o'
Current working directory /opt/netatalk/netatalk-1.4b2/sys/solaris
*** Error code 1
make: Fatal error: Command failed for target `all'
beetroot:/opt/netatalk/netatalk-1.4b2>

Again, if anyone can help me that would be ace.

cheers

jesse

>I'm sorry I'm a bit of a dummy at compiling things. I'm trying to install
>netatalk on a Sparc 2 running solaris 2.5.1. I've edited the Makefile and
>made the DESTDIR /opt/atalk as /usr don't have enough room available.
>
>When I type in "make install" i get the following output:
>
>
>
>beetroot:/opt/netatalk/netatalk-1.3.3> make install
>Making install for sun...
>cc  -O -I../../include -I../netatalk -DKERNEL -D`arch -k` -c at_sun.c
>/usr/ucb/cc:  language optional software package not installed
>*** Error code 1
>make: Fatal error: Command failed for target `at_sun.o'
>Current working directory /opt/netatalk/netatalk-1.3.3/sys/sun
>*** Error code 1
>make: Fatal error: Command failed for target `install'
>beetroot:/opt/netatalk/netatalk-1.3.3>
>
>
>
>what does it mean that "language optional software package not installed"
>??? I guess that's my problem, yes?
>
>I installed GNU c compiler a year ago or so, and I'm sure it has worked in
>the past.
>
>Any help you can offer would be vastly appreciated.
>
>cheers
>
>jesse
>
>

--
  Jesse Reynolds      Virtual Artists Pty Ltd      http://www.va.com.au
  V.C.E.          ->  http://www.va.com.au/vce     Virtual Community Engine
  Level 2  187  Rundle  St  Adelaide   South Australia  5000  Australia
  voice: +618 8223 2288     email: [email-masked]    icq: 4766684

  Uranium Mine for Kakadu?     ->     http://www.jabiluka.net/